Update an atomic course goal
curl --request PATCH \
--url https://api.alpha-1edtech.ai/goals/{studentId}/courses/{goalId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pacing": {
"endDate": "<string>"
}
}
'import requests
url = "https://api.alpha-1edtech.ai/goals/{studentId}/courses/{goalId}"
payload = { "pacing": { "endDate": "<string>" } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({pacing: {endDate: '<string>'}})
};
fetch('https://api.alpha-1edtech.ai/goals/{studentId}/courses/{goalId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"course": {
"course": {
"id": "<string>",
"title": "<string>",
"subject": "<string>"
},
"goal": {
"id": "<string>",
"target": {
"value": "<string>"
},
"pacing": {
"endDate": "<string>"
}
},
"progress": {
"courseId": "<string>",
"courseTitle": "<string>",
"pctComplete": 123,
"pctCompleteApp": 123,
"pctCompleteLessons": 123,
"pctCompleteXP": 123,
"totalXP": 123,
"earnedXP": 123,
"remainingXP": 123,
"totalUnits": 123,
"completedUnits": 123,
"remainingUnits": 123,
"totalLessons": 123,
"completedLessons": 123,
"remainingLessons": 123
}
}
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "invaliddata"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "unauthorisedrequest"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "forbidden"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "unknownobject"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "invaliddata"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "server_busy"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "internal_server_error"
}
]
},
"imsx_error_details": [
{}
]
}Goals
Update an atomic course goal
Updates an atomic course-scoped goal without forcing course clients through subject-oriented payloads.
PATCH
/
goals
/
{studentId}
/
courses
/
{goalId}
Update an atomic course goal
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Response
Course goal updated
Show child attributes
Show child attributes
⌘I